Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface DateWithRoleType

All Known Implementing Classes:
  DateWithRoleTypeImpl

    public interface DateWithRoleType

Java content class for dateWithRoleType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 537)

     <complexType name="dateWithRoleType">
       <simpleContent>
         <extension base="<http://infoml.org/infomlFile>dateType">
           <attribute name="role" use="required" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </extension>
       </simpleContent>
     </complexType>

Method Summary
`java.lang.String` | `getRole()` Gets the value of the role property.
`java.io.Serializable` | `getValue()` Gets the value of the value property.
`void` | `setRole(java.lang.String value)` Sets the value of the role property.
`void` | `setValue(java.io.Serializable value)` Sets the value of the value property.

Method Detail

### getValue

    java.io.Serializable getValue()

  Gets the value of the value property.

  Returns:
    possible object is `Calendar` `Calendar` `String` `String`

### setValue

    void setValue(java.io.Serializable value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `Calendar` `Calendar` `String` `String`

### getRole

    java.lang.String getRole()

  Gets the value of the role property.

  Returns:
    possible object is `String`

### setRole

    void setRole(java.lang.String value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD